﻿var SlideSpeed = 10; //number of pix to slide at the time
var SlideWaitTime = 50; //Time to wait before next move
var TabHeaderHeight = 40; //Height of the header of the tab. The part that says downloads
var TotalTopHeight = 54; //Height of the top of the tab. Header including the rounded corners of the rest of the tab.
var TotalTabHeight = 48; //Height of the full tab. Ex top height.

//Function define the height of the content in the DL tab 
function InitTabHeight() {
    var tmpHeight = document.getElementById("downloadTab").scrollHeight;
    if (tmpHeight < 140) {
        TotalTabHeight = 15 + document.getElementById("downloadTab").scrollHeight;
    }
    else {
        TotalTabHeight = 145;
    }
}

function Collapse() {
    var divHeight = $("#downloadTab").height();
    if (divHeight != "")
        var DivHeightInt = parseInt(divHeight);
    else
        var DivHeightInt = 0;

    var divHeaderHeight = $("#downloadTabHead").height();
    if (divHeaderHeight != "")
        var divHeaderHeightInt = parseInt(divHeaderHeight);
    else
        var divHeaderHeightInt = 0;


    if (divHeaderHeightInt > TabHeaderHeight) {
        if (DivHeightInt <= 0) {

            var moveHeight = divHeaderHeightInt - SlideSpeed;
            if (moveHeight < TabHeaderHeight) {
                moveHeight = TabHeaderHeight;
            }

            $("#downloadTabHead").height((moveHeight));
            $("#downloadTabHead").css("marginTop", (moveHeight - TabHeaderHeight) * -1);
            if (((moveHeight - TabHeaderHeight) * -1) < 0) {
                $("#downloadTab").css("marginTop", (moveHeight - TabHeaderHeight) * -1);
                $("#downloadTabHead").css("marginTop", (moveHeight - TabHeaderHeight) * -1);
            }
            else {
                $("#downloadTab").css("marginTop", 0);
                $("#downloadTabHead").css("marginTop", 0);
            }
        }
        else {

            var MoveSpeed = DivHeightInt - SlideSpeed;
            if (MoveSpeed < 0)
                MoveSpeed = 0;

            $("#downloadTab").height(MoveSpeed);
            $("#downloadTab").css("marginTop", (MoveSpeed + (TotalTopHeight - TabHeaderHeight)) * -1);
            $("#downloadTabHead").css("marginTop", (MoveSpeed + divHeaderHeightInt - TabHeaderHeight) * -1);


        }
        setTimeout("Collapse()", SlideWaitTime);
    }
    else {
        document.getElementById("downloadTabHead").onclick = function() { Expand(); };
    }

}


function Expand() {
    InitTabHeight();
    var divHeight = $("#downloadTab").height();
    if (divHeight != "")
        var DivHeightInt = parseInt(divHeight);
    else
        var DivHeightInt = 0;

    var divHeaderHeight = $("#downloadTabHead").height();
    if (divHeaderHeight != "")
        var divHeaderHeightInt = parseInt(divHeaderHeight);
    else
        var divHeaderHeightInt = 0;


    if (document.getElementById("downloadTab").style.height == "" || DivHeightInt < TotalTabHeight) {

        if (divHeaderHeightInt < TotalTopHeight) {
            var moveHeight = divHeaderHeightInt + SlideSpeed;
            if (moveHeight > TotalTopHeight) {
                moveHeight = TotalTopHeight;
            }
            $("#downloadTabHead").height(moveHeight);
            $("#downloadTabHead").css("marginTop", (moveHeight - TabHeaderHeight) * -1);
            $("#downloadTab").css("marginTop", (moveHeight - TabHeaderHeight) * -1);
        }
        else {
            $("#downloadTab").height(DivHeightInt + SlideSpeed);
            $("#downloadTab").css("marginTop", (DivHeightInt + divHeaderHeightInt + SlideSpeed - TabHeaderHeight) * -1);
            $("#downloadTabHead").css("marginTop", (DivHeightInt + divHeaderHeightInt + SlideSpeed - TabHeaderHeight) * -1);
        }
        setTimeout("Expand()", SlideWaitTime);
    }
    else {
        document.getElementById("downloadTabHead").onclick = function() { Collapse(); };

    }

}